import { Middleware } from '@nuxt/types';
import { Role } from '~/assets/ts/models/enum/Role';

const errorRouteMiddleware: Middleware = (context) => {
  if (!context.route.name) {
    if (context.store.getters['localStorage/currentRole'] === Role.ADMIN) {
      context.redirect('/myAppointmentList/appointmentList');
      return;
    }
    context.redirect('/')
  }
}

export default errorRouteMiddleware